=== debian/control ===
Source: python-firehose
Section: python
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
# OK. DPMT is set to Uploader since I would *prefer* to know about changes
# made to this package, since this affects some cross-distro work, as well
# as a number of internal Debian projects. If a change is purely related to
# the packaging, do feel free to upload without my ack (e.g. debian/* maint
# work that doesn't affect upstream code), as a team upload. If I go
# unresponsive, please communicate the changes with upstream, and upload
# without my ack.
Build-Depends:
 debhelper (>= 9),
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-six,
 python3-six,
 python-nose,
 python3-nose,
 python-mock,
 python3-mock,
 libxml2-utils,
Standards-Version: 3.9.4
Homepage: https://github.com/fedora-static-analysis/firehose
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-firehose/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-firehose/trunk/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-firehose
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: set of Python bindings to the Firehose static analysis format
 We all know static analysis data is, well, awesome! However, we suffer
 from 10,000 different schemas, and unique ways of communicating the results.
 .
 Firehose aims to solve these issues by providing a common static analysis
 schema, with parsers for common tools, and lots of code to deal with
 Firehose output.
 .
 This package contains the Python 2 bindings to the Firehose XML schema.

Package: python3-firehose
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: set of Python 3 bindings to the Firehose static analysis format
 We all know static analysis data is, well, awesome! However, we suffer
 from 10,000 different schemas, and unique ways of communicating the results.
 .
 Firehose aims to solve these issues by providing a common static analysis
 schema, with parsers for common tools, and lots of code to deal with
 Firehose output.
 .
 This package contains the Python 3 bindings to the Firehose XML schema.
