=== debian/rules ===
#!/usr/bin/make -f

PY2_PACKAGE_NAME = python-firehose
PY3_PACKAGE_NAME = python3-firehose

PYVERS  = $(shell pyversions -r)
PY3VERS = $(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./*.egg-info ./build \
		tests/parsers/example-output/findbugs/findbugs_jformatstring.txt

override_dh_auto_build:
	set -xe; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done

override_dh_auto_test:
	mkdir -pv tests/parsers/example-output/findbugs/
	cp -v debian/test-data/findbugs_jformatstring.txt \
		tests/parsers/example-output/findbugs/findbugs_jformatstring.txt
	set -xe; \
	for py in $(PYVERS); do \
		$$py /usr/bin/nosetests; \
	done
	#for py in $(PY3VERS); do \
	#	$$py /usr/bin/nosetests3; \
	#done

override_dh_auto_install:
	set -xe; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/$(PY2_PACKAGE_NAME) \
		--install-layout deb; \
	done
	set -xe; \
		for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/$(PY3_PACKAGE_NAME) \
		--install-layout deb; \
	done
	# Remove me when dh_python2 can handle this file
	rm -vf debian/*/usr/lib/python*/*-packages/*.egg-info/SOURCES.txt
