=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/firehose/ \
    firehose-(\d.*).tar.gz
