=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/firehose-$1\.tar\.gz/ \
    https://github.com/fedora-static-analysis/firehose/tags .*/v?(\d\S*)\.tar\.gz
